What version of Aspire or VCarve should I use to open SketchUp files?

You should use Aspire 4.514 and higher or VCarve Pro 7.514 and higher to open SketchUp files.

Always check for the latest updates under Help -> Check for Updates

Aspire 4.514 and  VCarve Pro 7.514 can open Sketchup 2014 files and older.

Aspire 8.5, VCarve 8.5 and Cut2D 8.5 can open Sketchup 2016 files and older. (Vectors only for Cut2D).